curl -X GET 'https://api.infinipost.co/v1/partners/accounts?partnerUserId=user_abc123' \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.infinipost.co/v1/partners/accounts?partnerUserId=user_abc123',
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
import requests
response = requests.get(
'https://api.infinipost.co/v1/partners/accounts',
headers={
'Authorization': 'Bearer YOUR_API_KEY'
},
params={
'partnerUserId': 'user_abc123'
}
)
print(response.json())
{
"accounts": [
{
"accountId": "acc_9n2x7yp0dg",
"platform": "tiktok",
"name": "Fashion Creator",
"username": "fashioncreator22",
"status": "ready",
"phoneId": "abc123",
"stripeSubscriptionId": "sub_1234567890",
"createdAt": "2024-04-21T19:30:00Z"
},
{
"accountId": "acc_4qxstggdbuh",
"platform": "instagram",
"name": "Fashion Creator",
"username": null,
"status": "warming_up",
"phoneId": "abc123",
"stripeSubscriptionId": "sub_1234567890",
"createdAt": "2024-04-21T19:30:00Z"
},
{
"accountId": "acc_7rzpqhmnx12",
"platform": "tiktok",
"name": "Style Insider",
"username": null,
"status": "pending_creation",
"phoneId": "def456",
"stripeSubscriptionId": "sub_0987654321",
"createdAt": "2024-04-21T19:30:00Z"
}
]
}
Partners
Get Accounts
Retrieve all TikTok and Instagram accounts for a specific user
GET
/
v1
/
partners
/
accounts
curl -X GET 'https://api.infinipost.co/v1/partners/accounts?partnerUserId=user_abc123' \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.infinipost.co/v1/partners/accounts?partnerUserId=user_abc123',
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
import requests
response = requests.get(
'https://api.infinipost.co/v1/partners/accounts',
headers={
'Authorization': 'Bearer YOUR_API_KEY'
},
params={
'partnerUserId': 'user_abc123'
}
)
print(response.json())
{
"accounts": [
{
"accountId": "acc_9n2x7yp0dg",
"platform": "tiktok",
"name": "Fashion Creator",
"username": "fashioncreator22",
"status": "ready",
"phoneId": "abc123",
"stripeSubscriptionId": "sub_1234567890",
"createdAt": "2024-04-21T19:30:00Z"
},
{
"accountId": "acc_4qxstggdbuh",
"platform": "instagram",
"name": "Fashion Creator",
"username": null,
"status": "warming_up",
"phoneId": "abc123",
"stripeSubscriptionId": "sub_1234567890",
"createdAt": "2024-04-21T19:30:00Z"
},
{
"accountId": "acc_7rzpqhmnx12",
"platform": "tiktok",
"name": "Style Insider",
"username": null,
"status": "pending_creation",
"phoneId": "def456",
"stripeSubscriptionId": "sub_0987654321",
"createdAt": "2024-04-21T19:30:00Z"
}
]
}
Query Parameters
string
required
Your internal user ID for the customer. Must match the
partnerUserId used when creating the checkout session.Response
array
Array of account objects for the specified user.
Show Account object
Show Account object
string
Unique identifier for the account.
string
The platform this account belongs to:
tiktok or instagram.string
The account’s display name.
string
The account’s username. May be
null for accounts still in early warmup.string
Current account status:
pending_creation, warming_up, ready, or cancelled.string
Internal phone identifier associated with this account.
string
Stripe subscription ID for this account’s billing. Use this to reference the subscription if needed.
string
ISO 8601 timestamp of when the account was created.
curl -X GET 'https://api.infinipost.co/v1/partners/accounts?partnerUserId=user_abc123' \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.infinipost.co/v1/partners/accounts?partnerUserId=user_abc123',
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
import requests
response = requests.get(
'https://api.infinipost.co/v1/partners/accounts',
headers={
'Authorization': 'Bearer YOUR_API_KEY'
},
params={
'partnerUserId': 'user_abc123'
}
)
print(response.json())
{
"accounts": [
{
"accountId": "acc_9n2x7yp0dg",
"platform": "tiktok",
"name": "Fashion Creator",
"username": "fashioncreator22",
"status": "ready",
"phoneId": "abc123",
"stripeSubscriptionId": "sub_1234567890",
"createdAt": "2024-04-21T19:30:00Z"
},
{
"accountId": "acc_4qxstggdbuh",
"platform": "instagram",
"name": "Fashion Creator",
"username": null,
"status": "warming_up",
"phoneId": "abc123",
"stripeSubscriptionId": "sub_1234567890",
"createdAt": "2024-04-21T19:30:00Z"
},
{
"accountId": "acc_7rzpqhmnx12",
"platform": "tiktok",
"name": "Style Insider",
"username": null,
"status": "pending_creation",
"phoneId": "def456",
"stripeSubscriptionId": "sub_0987654321",
"createdAt": "2024-04-21T19:30:00Z"
}
]
}
Account Statuses
| Status | Description |
|---|---|
pending_creation | Phone is provisioned, account is being set up |
warming_up | Account is created and going through the 3-day warmup period |
ready | Account is fully warmed up and ready for content posting |
cancelled | Account subscription has been cancelled |
Username availability: TikTok usernames are set on Day 3 of the warmup period and may be
null before then.Error Responses
Invalid API Key
{
"error": "This API key does not have partner access"
}
Missing Required Fields
{
"error": "partnerUserId is required"
}
⌘I